/* 
 * File:   optimalizer.h
 * Author: Michal Hucik <hucik@ordoz.com>
 *
 * Created on 27. května 2019, 15:03
 * 
 * 
 * ----------------------------- License -------------------------------------
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * ---------------------------------------------------------------------------
 */


#ifndef OPTIMALIZER_H
#define OPTIMALIZER_H

#ifdef __cplusplus
extern "C" {
#endif

#include "gdgelement.h"
#include "gdgpart.h"
#include "gdgnet.h"

    extern void optimalizer_run ( st_GDGELEMENTSALL *elmall, st_GDGPARTSALL *partall, st_GDGNETSALL *netall );

#ifdef __cplusplus
}
#endif

#endif /* OPTIMALIZER_H */

